<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>Positioning</title>
  <link rel=stylesheet type="text/css" href="externstyle.css">
  <script type="text/javascript">
    var div1, div2, div3;
    
    window.onload = function () {
	    div1 = document.getElementById("first"); 
	    div2 = document.getElementById("second"); 
	    div3 = document.getElementById("third");

	    if (div1.addEventListener != undefined) { 
	      //W3C Firefox Opera
			  div1.addEventListener('mouseover', unColorText, false); 
			  div1.addEventListener('mouseout', colorText, false); 
			  div2.addEventListener('mouseover', unColorText, false); 
			  div2.addEventListener('mouseout', colorText, false); 
			  div3.addEventListener('mouseover', unColorText, false); 
			  div3.addEventListener('mouseout', colorText, false);
			  
		  } else {  // InternetExplorer
			  div1.attachEvent('onmouseover', unColorText);
			  div1.attachEvent('onmouseout', colorText); 
			  div2.attachEvent('onmouseover', unColorText); 
			  div2.attachEvent('onmouseout', colorText); 
			  div3.attachEvent('onmouseover', unColorText); 
			  div3.attachEvent('onmouseout', colorText)
      }
	  }
    
    function colorText(e) {
	    var evt = e||window.event; //Browser differences
	    var evtTarget = evt.target ||evt.srcElement;
	    
	    if (evtTarget.id == "first") { 
	      div1.className = "red";
	    } else if (evtTarget.id == "second") {
	        div2.className = "blue"; 
	    } else { div3.className = "green" ; }
	  }
  
    function unColorText(e) {
		  var evt = e||window.event;// usee.srcElement.id(IE)
		  var evtTarget = evt.currentTarget ||evt.srcElement;
		  
		  if (evtTarget.id == "first") {
		    div1.className = "black"; 
		  } else if (evtTarget.id == "second") {
		    div2.className = "black"; 
		  } else { 
		    div3.className = "black";
		  }
    }
  </script>
</head>
<body>
  <div id="first" style="position:absolute; top:50px">Roll over me! </div>
  <div id="second" style="position:absolute; top:100px">and then me,</div>
  <div id="third" style="position:absolute; top:150px">and me too.</div>
</body>
</html>